Subject: Re: want to randomly drop packets based on percent

From: George Nychis <[email-masked]>
Date: Mon, 17 Apr 2006 18:30:51 -0400

Stephen Hemminger wrote:

>On Mon, 17 Apr 2006 03:38:33 -0400
>George Nychis <[email-masked]> wrote:
>
>  
>
>>Hey,
>>
>>I'm using the 2.4.32 kernel with madwifi and iproute2 version 
>>2-2.6.16-060323.tar.gz
>>
>>I wanted to insert artificial packet loss based on a percent so i found:
>>network emulab qdisc could do it, so i compiled support into the kernel 
>>and tried:
>>tc qdisc change dev eth0 root netem loss .1%
>>    
>>
>
>Most likely, you the version of the kernel you are running was not
>configured with netem enabled.
>
>  
>
Hey Stephen,

I have netem enabled in the kernel... I've checked this numerous times.  
I enabled it under Networking Options -> QoS -> Network emulator.  I 
even did a make clean, make mrproper, and rebuilt from scratch.

Maybe I'll try compiling it as a module and see if anything changes.

Any other ideas?

----

In response to Matt:
Thank you!

One last question, if I take this route, what is the easiest way to 
allow me to change the packet loss without hard coding a percent into 
the kernel?